package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemScheduleBindingImpl extends ItemScheduleBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_schedule_line2_text, 3);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback43;
    @Nullable
    private final android.view.View.OnClickListener mCallback42;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemScheduleBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 4, sIncludes, sViewsWithIds));
    }
    private ItemScheduleBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (android.widget.TextView) bindings[3]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[2]
            );
        this.itemScheduleLine1Text.setTag(null);
        this.itemScheduleSecondaryMenuImageview.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback43 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback42 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.oneToManyJoinListener == variableId) {
            setOneToManyJoinListener((com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule>) variable);
        }
        else if (BR.schedule == variableId) {
            setSchedule((com.ustadmobile.lib.db.entities.Schedule) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.ClazzEdit2Presenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setOneToManyJoinListener(@Nullable com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule> OneToManyJoinListener) {
        this.mOneToManyJoinListener = OneToManyJoinListener;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.oneToManyJoinListener);
        super.requestRebind();
    }
    public void setSchedule(@Nullable com.ustadmobile.lib.db.entities.Schedule Schedule) {
        this.mSchedule = Schedule;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.schedule);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.ClazzEdit2Presenter MPresenter) {
        this.mMPresenter = MPresenter;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule> oneToManyJoinListener = mOneToManyJoinListener;
        com.ustadmobile.lib.db.entities.Schedule schedule = mSchedule;

        if ((dirtyFlags & 0xaL) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0xaL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setScheduleText(this.itemScheduleLine1Text, schedule);
        }
        if ((dirtyFlags & 0x8L) != 0) {
            // api target 1

            this.itemScheduleSecondaryMenuImageview.setOnClickListener(mCallback43);
            this.mboundView0.setOnClickListener(mCallback42);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // oneToManyJoinListener
                com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule> oneToManyJoinListener = mOneToManyJoinListener;
                // oneToManyJoinListener != null
                boolean oneToManyJoinListenerJavaLangObjectNull = false;
                // schedule
                com.ustadmobile.lib.db.entities.Schedule schedule = mSchedule;



                oneToManyJoinListenerJavaLangObjectNull = (oneToManyJoinListener) != (null);
                if (oneToManyJoinListenerJavaLangObjectNull) {



                    oneToManyJoinListener.onClickDelete(schedule);
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // oneToManyJoinListener
                com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule> oneToManyJoinListener = mOneToManyJoinListener;
                // oneToManyJoinListener != null
                boolean oneToManyJoinListenerJavaLangObjectNull = false;
                // schedule
                com.ustadmobile.lib.db.entities.Schedule schedule = mSchedule;



                oneToManyJoinListenerJavaLangObjectNull = (oneToManyJoinListener) != (null);
                if (oneToManyJoinListenerJavaLangObjectNull) {



                    oneToManyJoinListener.onClickEdit(schedule);
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): oneToManyJoinListener
        flag 1 (0x2L): schedule
        flag 2 (0x3L): mPresenter
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}